// DWBS ------------------------------------------------------------------ DWBS
//
// PLATFORM		: ALL
// PRODUCT		: BIT_DEMON
// VISIBILITY	: PUBLIC
//
// DWBS ------------------------------------------------------------------ DWBS


template <bdUInt T> inline 
bdChannelNotificationMessage<T>::bdChannelNotificationMessage()
:	bdLobbyMessage(T)
{
}

template <bdUInt T> inline 
bdChannelNotificationMessage<T>::~bdChannelNotificationMessage()
{
}

template <bdUInt T> inline 
bdBool bdChannelNotificationMessage<T>::deserialize(bdBitBufferRef buffer)
{
	bdBool ok = bdLobbyMessage::deserialize(buffer);
	
	ok = ok && buffer->readUInt64(m_originatorID);
	ok = ok && buffer->readString(m_originatorName,BD_MAX_USERNAME_LENGTH);
	ok = ok && buffer->readUInt64(m_channelID);
	ok = ok && buffer->readString(m_channelName,BD_MAX_CHANNELNAME_LENGTH);
	
	return ok;
}
